/**
 * Class for parsing features.
 * 
 */
'use strict';

var _ContigInterval = _interopRequireDefault(require("../ContigInterval"));function _interopRequireDefault(obj) {return obj && obj.__esModule ? obj : { "default": obj };}function _classCallCheck(instance, Constructor) {if (!(instance instanceof Constructor)) {throw new TypeError("Cannot call a class as a function");}}function _defineProperties(target, props) {for (var i = 0; i < props.length; i++) {var descriptor = props[i];descriptor.enumerable = descriptor.enumerable || false;descriptor.configurable = true;if ("value" in descriptor) descriptor.writable = true;Object.defineProperty(target, descriptor.key, descriptor);}}function _createClass(Constructor, protoProps, staticProps) {if (protoProps) _defineProperties(Constructor.prototype, protoProps);if (staticProps) _defineProperties(Constructor, staticProps);return Constructor;}var


Feature = /*#__PURE__*/function () {





  function Feature(feature) {_classCallCheck(this, Feature);
    this.id = feature.id;
    this.featureType = feature.featureType;
    this.position = feature.position;
    this.score = feature.score;
  }_createClass(Feature, [{ key: "getKey", value:

    function getKey() {
      return this.id;
    } }, { key: "getInterval", value:

    function getInterval() {
      return this.position;
    } }, { key: "getCoverage", value:

    function getCoverage(referenceSource) {
      return {
        range: this.getInterval(),
        opInfo: null };

    } }, { key: "intersects", value:













    function intersects(range) {
      return range.intersects(this.position);
    } }], [{ key: "fromGA4GH", value: function fromGA4GH(ga4ghFeature) {var position = new _ContigInterval["default"](ga4ghFeature.referenceName, parseInt(ga4ghFeature.start), parseInt(ga4ghFeature.end));return new Feature({ id: ga4ghFeature.id, featureType: ga4ghFeature.featureType, position: position, score: 1000 });} }]);return Feature;}();


module.exports = Feature;